Package org.apache.qpid.proton.engine.impl

# Interface TransportInternal

All Superinterfaces:
  `Endpoint`, `Extendable`, `Transport`

All Known Implementing Classes:
  `TransportImpl`

public interface TransportInternal extends Transport
Extended Transport interface providing access to certain methods intended mainly for internal use, or use in extending implementation details not strictly considered part of the public Transport API.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.engine.Transport

`Transport.Factory`

## Field Summary

### Fields inherited from interface org.apache.qpid.proton.engine.Transport

`DEFAULT_MAX_FRAME_SIZE, END_OF_STREAM, MIN_MAX_FRAME_SIZE, SESSION_WINDOW, TRACE_DRV, TRACE_FRM, TRACE_OFF, TRACE_RAW`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTransportLayer(TransportLayer layer)`
Add a `TransportLayer` to the transport, wrapping the input and output process handlers in the state they currently exist.
`boolean`
`isUseReadOnlyOutputBuffer()`
`void`
`setUseReadOnlyOutputBuffer(boolean value)`

### Methods inherited from interface org.apache.qpid.proton.engine.Endpoint

`close, free, getContext, getLocalState, getRemoteCondition, getRemoteState, open, setCondition, setContext`

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`

### Methods inherited from interface org.apache.qpid.proton.engine.Transport

`bind, capacity, close_head, close_tail, getChannelMax, getCondition, getFramesInput, getFramesOutput, getIdleTimeout, getInputBuffer, getMaxFrameSize, getOutboundFrameSizeLimit, getOutputBuffer, getRemoteChannelMax, getRemoteIdleTimeout, getRemoteMaxFrameSize, head, input, isClosed, isEmitFlowEventOnSend, output, outputConsumed, pending, pop, process, processInput, sasl, setChannelMax, setEmitFlowEventOnSend, setIdleTimeout, setInitialRemoteMaxFrameSize, setMaxFrameSize, setOutboundFrameSizeLimit, ssl, ssl, tail, tick, trace, unbind`

## Method Details

### addTransportLayer

void addTransportLayer(TransportLayer layer) throws IllegalStateException
Add a `TransportLayer` to the transport, wrapping the input and output process handlers in the state they currently exist. No effect if the given layer was previously added.

Parameters:
  `layer` - the layer to add (if it was not previously added)
Throws:
  `IllegalStateException` - if processing has already started.

### setUseReadOnlyOutputBuffer

void setUseReadOnlyOutputBuffer(boolean value)

### isUseReadOnlyOutputBuffer

boolean isUseReadOnlyOutputBuffer()